Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class MessageError

    java.lang.Object
      edu.stanford.smi.protege.util.MessageError

    public class MessageError

extends Object

Class used for reporting errors at project load time. An instance of this class contains an exception and a string message explaining the error.

Author:
  Tania Tudorache

Nested Class Summary
`static class` | `MessageError.Severity`

Constructor Summary
`MessageError(String message)`
`MessageError(Throwable ex)`
`MessageError(Throwable ex, String message)`
`MessageError(Throwable ex, String message, MessageError.Severity severity)`

Method Summary
`Throwable` | `getException()`
`String` | `getMessage()`
`MessageError.Severity` | `getSeverity()`
`void` | `setException(Throwable exception)`
`void` | `setMessage(String message)`
`void` | `setSeverity(MessageError.Severity severity)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageError

    public MessageError(String message)

### MessageError

    public MessageError(Throwable ex)

### MessageError

    public MessageError(Throwable ex,
                        String message)

### MessageError

    public MessageError(Throwable ex,
                        String message,
                        MessageError.Severity severity)

Method Detail

### getException

    public Throwable getException()

### setException

    public void setException(Throwable exception)

### getMessage

    public String getMessage()

### setMessage

    public void setMessage(String message)

### setSeverity

    public void setSeverity(MessageError.Severity severity)

### getSeverity

    public MessageError.Severity getSeverity()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.